Table of Contents

Interface IJobsClient

Namespace
Nexus.Api.V1
Assembly
Nexus.Api.dll

Provides methods to interact with jobs.

public interface IJobsClient

Methods

CancelJob(Guid)

Cancels the specified job.

HttpResponseMessage CancelJob(Guid jobId)

Parameters

jobId Guid

Returns

HttpResponseMessage

CancelJobAsync(Guid, CancellationToken)

Cancels the specified job.

Task<HttpResponseMessage> CancelJobAsync(Guid jobId, CancellationToken cancellationToken = default)

Parameters

jobId Guid
cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<HttpResponseMessage>

ClearCache(string, DateTime, DateTime)

Clears the aggregation data cache for the specified period of time.

Job ClearCache(string catalogId, DateTime begin, DateTime end)

Parameters

catalogId string

The catalog identifier.

begin DateTime

Start date/time.

end DateTime

End date/time.

Returns

Job

ClearCacheAsync(string, DateTime, DateTime, CancellationToken)

Clears the aggregation data cache for the specified period of time.

Task<Job> ClearCacheAsync(string catalogId, DateTime begin, DateTime end, CancellationToken cancellationToken = default)

Parameters

catalogId string

The catalog identifier.

begin DateTime

Start date/time.

end DateTime

End date/time.

cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<Job>

Export(ExportParameters)

Creates a new export job.

Job Export(ExportParameters parameters)

Parameters

parameters ExportParameters

Export parameters.

Returns

Job

ExportAsync(ExportParameters, CancellationToken)

Creates a new export job.

Task<Job> ExportAsync(ExportParameters parameters, CancellationToken cancellationToken = default)

Parameters

parameters ExportParameters

Export parameters.

cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<Job>

GetJobStatus(Guid)

Gets the status of the specified job.

JobStatus GetJobStatus(Guid jobId)

Parameters

jobId Guid

Returns

JobStatus

GetJobStatusAsync(Guid, CancellationToken)

Gets the status of the specified job.

Task<JobStatus> GetJobStatusAsync(Guid jobId, CancellationToken cancellationToken = default)

Parameters

jobId Guid
cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<JobStatus>

GetJobs()

Gets a list of jobs.

IReadOnlyList<Job> GetJobs()

Returns

IReadOnlyList<Job>

GetJobsAsync(CancellationToken)

Gets a list of jobs.

Task<IReadOnlyList<Job>> GetJobsAsync(CancellationToken cancellationToken = default)

Parameters

cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<IReadOnlyList<Job>>

RefreshDatabase()

Creates a new job which reloads all extensions and resets the resource catalog.

Job RefreshDatabase()

Returns

Job

RefreshDatabaseAsync(CancellationToken)

Creates a new job which reloads all extensions and resets the resource catalog.

Task<Job> RefreshDatabaseAsync(CancellationToken cancellationToken = default)

Parameters

cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<Job>

SyncGit(GitSyncRequest)

Creates a new Git synchronization job.

Job SyncGit(GitSyncRequest parameters)

Parameters

parameters GitSyncRequest

Returns

Job

SyncGitAsync(GitSyncRequest, CancellationToken)

Creates a new Git synchronization job.

Task<Job> SyncGitAsync(GitSyncRequest parameters, CancellationToken cancellationToken = default)

Parameters

parameters GitSyncRequest
cancellationToken CancellationToken

The token to cancel the current operation.

Returns

Task<Job>